//
//  ShapeyrDocument.h
//  Shapeyr
//
//  Created by Taylor Marks on 12/2/12.
//  Copyright (c) 2012 Taylor Marks. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface ShapeyrDocument : NSPersistentDocument {
    IBOutlet NSWindow* window;
    
    NSPersistentStoreCoordinator* persistentStoreCoordinator;
    NSManagedObjectModel* managedObjectModel;
    NSManagedObjectContext* managedObjectContext;
}

- (NSPersistentStoreCoordinator*)persistentStoreCoordinator;
- (NSManagedObjectModel*)managedObjectModel;
- (NSManagedObjectContext*)managedObjectContext;

- (IBAction)saveAction:sender;

@end
